## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GrailsDomainBinder.ListSecondPass

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsDomainBinder.GrailsCollectionSecondPass
          org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsDomainBinder.ListSecondPass

All Implemented Interfaces:
  Serializable, org.hibernate.cfg.SecondPass

Enclosing class:
  GrailsDomainBinder

    static class GrailsDomainBinder.ListSecondPass

extends GrailsDomainBinder.GrailsCollectionSecondPass

Field Summary

Fields inherited from class org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsDomainBinder.GrailsCollectionSecondPass
`collection, mappings, property, serialVersionUID`

Constructor Summary
`GrailsDomainBinder.ListSecondPass(GrailsDomainClassProperty property, org.hibernate.cfg.Mappings mappings, org.hibernate.mapping.Collection coll)`

Method Summary
`void` `doSecondPass(Map persistentClasses)`
`void` `doSecondPass(Map persistentClasses, Map inheritedMetas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsDomainBinder.ListSecondPass

    public GrailsDomainBinder.ListSecondPass(GrailsDomainClassProperty property,
                                             org.hibernate.cfg.Mappings mappings,
                                             org.hibernate.mapping.Collection coll)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses,
                             Map inheritedMetas)
                      throws org.hibernate.MappingException

  Overrides:
    `doSecondPass` in class `GrailsDomainBinder.GrailsCollectionSecondPass`
  Throws:
    `org.hibernate.MappingException`

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws org.hibernate.MappingException

  Specified by:
    `doSecondPass` in interface `org.hibernate.cfg.SecondPass`
  Overrides:
    `doSecondPass` in class `GrailsDomainBinder.GrailsCollectionSecondPass`
  Throws:
    `org.hibernate.MappingException`

Copyright (c) 2005-2009 The Grails project